# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KURLBarListBox Class Reference

This is the listbox used in KURLBar. More...

`#include <kurlbar.h>`

Inheritance diagram for KURLBarListBox:

[legend]
Collaboration diagram for KURLBarListBox:

[legend]
List of all members.

## Signals

void | dropped (QDropEvent *e)
| Emitted when a drop-event happened.

## Public Member Functions

| KURLBarListBox (QWidget *parent=0, const char *name=0)
| Constructs a KURLBarListBox.
| ~KURLBarListBox ()
| Destroys the box.
virtual void | setOrientation (Qt::Orientation orient)
| Sets the orientation of the widget.
Qt::Orientation | orientation () const
bool | isVertical () const

## Protected Member Functions

virtual QDragObject * | dragObject ()
virtual void | contentsDragEnterEvent (QDragEnterEvent *)
virtual void | contentsDropEvent (QDropEvent *)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

This is the listbox used in KURLBar.

It is a subclass of KListBox to support drag & drop and to set up the row / column mode.

The widget has just one row or one column, depending on orientation().

Author:
  Carsten Pfeiffer <pfeiffer@kde.org>

Definition at line 446 of file kurlbar.h.

## Constructor & Destructor Documentation

KURLBarListBox::KURLBarListBox | ( | QWidget * | parent = 0,
|  | const char * | name = 0
| ) |

| Constructs a KURLBarListBox. Definition at line 711 of file kurlbar.cpp. References KStdAccel::name().

KURLBarListBox::~KURLBarListBox | ( |  | ) |

| Destroys the box. Definition at line 719 of file kurlbar.cpp.

## Member Function Documentation

void KURLBarListBox::setOrientation | ( | Qt::Orientation | orient | ) | `[virtual]`

Sets the orientation of the widget.

Horizontal means, all items are arranged in one row. Vertical means, all items are arranged in one column.

See also:
  orientation

Definition at line 751 of file kurlbar.cpp.

References QListBox::setColumnMode(), and QListBox::setRowMode().

Referenced by KURLBar::setOrientation().

Qt::Orientation KURLBarListBox::orientation | ( |  | ) | const`[inline]`

Returns:
  the current orientation.

See also:
  setOrientation

Definition at line 471 of file kurlbar.h.

Referenced by KURLBar::orientation().

void KURLBarListBox::dropped | ( | QDropEvent * | e | ) | `[signal]`

| Emitted when a drop-event happened. Referenced by contentsDropEvent().

QDragObject * KURLBarListBox::dragObject | ( |  | ) | `[protected, virtual]`

Returns:
  a suitable QDragObject when an item is dragged.

Definition at line 724 of file kurlbar.cpp.

References QValueList< KURL >::append(), QListBox::firstItem(), QValueList< KURL >::isEmpty(), QListBox::item(), KURLDrag::newDrag(), and KURLBarItem::url().

void KURLBarListBox::contentsDragEnterEvent | ( | QDragEnterEvent * |  | ) | `[protected, virtual]`

| Definition at line 741 of file kurlbar.cpp. References QUriDrag::canDecode().

void KURLBarListBox::contentsDropEvent | ( | QDropEvent * |  | ) | `[protected, virtual]`

| Definition at line 746 of file kurlbar.cpp. References dropped().

The documentation for this class was generated from the following files:

- kurlbar.h
- kurlbar.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:24:13 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001